Resource

Get Resources v2.0

GET https://yoursite.demanddriventech.com/odata/v2/resource

This endpoint allows you to get all resources for the current dataset. This endpoint does not currently accept parameters.

{
    "@odata.context": "https://yoursite.demanddriventech.com/odata/v2/$metadata#resource",
    "value": [
        {
            "DataSetId": 1,
            "Id": 131,
            "LocationId": 87,
            "Name": "R2",
            "Location": "Plant2",
            "Description": "",
            "ResourceType": "Resource",
            "Count": 1,
            "CrewSize": 1,
            "BufferManager": "",
            "ResourceManager": "Bob",
            "Category": "Drilling",
            "Efficiency": 100,
            "Buffer": 0,
            "SetupTime": 0,
            "FixedOffset": 0,
            "Capacity": 0
        }
    ]
}

Resource Fields

Field Name

Type

Notes

DataSetId

int

Id

int

LocationId

int

Name

text

Location

text

Description

text

Count

int

ResourceType

ResourceType

CrewSize

int

BufferManager

text

ResourceManager

text

Category

text

Efficiency

int

Buffer

int

Duration in minutes

SetupTime

int

Duration in minutes

FixedOffset

int

Duration in minutes

Capacity

int

Duration in minutes

ResourceType

Each location has one each of the special resources, which are used for rope terminations and date calculations.

Value

Resource

BufferedResource

Constraint

Special_Completion

Special_Shipping

Special_Release

Last updated